{% form_theme form 'bootstrap_3_layout.html.twig' %}
<div class="w3-container">
    <div class="card-columns">
        <div class="card ">
            <div class="card-body">
                {{ form_start(form,{'attr':{'id':'form_add_groupe','action':path('groupe_examen_new', {'id': examan.id}),'novalidate':'novalidate'} }) }}
                {{ form_row(form.typeForm,{'attr':{'value':'add_edit'}}) }}
                {{ form_widget(form) }}
                <button class="btn btn-primary save_groupe"
                        type="button">{{ button_label|default('Enregistrer') }}</button>
                {{ form_end(form) }}

            </div>
        </div>
    </div>
</div>
<script>
    var ens_occ = [];
    var c_ens = 0
    {% for t_ens in tab_ens_occ %}
    ens_occ[c_ens] = '{{ t_ens }}';
    c_ens++;
    {% endfor %}

    $('#groupe_examen_enseignant option').each(function () {
        if (ens_occ.includes($(this).val())) {
            $(this).remove();
        }
    })


    var centre_occ = [];
    var c_centre = 0
    {% for t_centre in tab_centre_occ %}
    centre_occ[c_centre] = '{{ t_centre }}';
    c_centre++;
    {% endfor %}

    $('#groupe_examen_centreexamen option').each(function () {
        if (centre_occ.includes($(this).val())) {
            $(this).remove();
        }
    })
</script>